<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmGetFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmGetFlag Enumeration

Visual Basic
C#
C++/CLI
Options for retrieving files used in calls to IEdmFile5::GetFileCopy, IEdmEnumeratorVersion5::GetFileCopy, IEdmVersion5::GetFileCopy, and IEdmRevision5::GetFileCopy. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmGetFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmGetFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmGetFlag : public System.Enum

# Members

Member | Description
--- | ---
EdmGet_DisableRefresh | 2 = Do not refresh File Explorer when a file is retrieved
EdmGet_ForPreview | 64 = Only retrieve referenced files that are needed by SOLIDWORKS PDM Professional's preview when retrieving the referencing file
EdmGet_MakeReadOnly | 1 = Mark the retrieved file as read-only
EdmGet_Refs | 4 = Get referenced files
EdmGet_RefsOnlyMissing | 8 = Only get referenced files that are not present on the local hard disk; only valid in combination with EdmGet_Refs
EdmGet_RefsOverwriteLocked | 32 = Retrieve checked out referenced files and their references; only valid in combination with EdmGet_Refs; Warning: Setting this flag means that any previous modifications to checked out files will be lost.
EdmGet_RefsVerLatest | 16 = Retrieve the latest versions of referenced files that you have permission to see instead of attached versions that were used when the file was checked in; only valid in combination with EdmGet_Refs
EdmGet_Simple | 0 = Retrieve the file

# See Also

####

EPDM.Interop.epdm Namespace